Std Group/ro: Difference between revisions

From FreeCAD Documentation
(Created page with "==Legături==")
(Updating to match new version of source page)
 
(16 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{Docnav
|[[Std_Part|Part]]
|[[Std_LinkMake|LinkMake]]
|[[Std_Base|Std Base]]
|IconL=Std_Part.svg
|IconR=Std_LinkMake.svg
|IconC=Freecad.svg
}}


<div class="mw-translate-fuzzy">
{{GuiCommand|Name=Std Group|MenuLocation=Tree View → Right click on the document name||Workbenches=All|Shortcut=|SeeAlso=[[Draft_SelectGroup|Draft SelectGroup]], [[Draft_AddToGroup|Draft AddToGroup]]}}
{{GuiCommand|Name=Std Group|MenuLocation=Tree View → Right click on the document name||Workbenches=All|Shortcut=|SeeAlso=[[Draft_SelectGroup|Draft SelectGroup]], [[Draft_AddToGroup|Draft AddToGroup]]}}
</div>


==Descriere==
==Descriere==


<div class="mw-translate-fuzzy">

Această comandă vă permite să creați un grup în vizualizarea arborescentă.
Această comandă vă permite să creați un grup în vizualizarea arborescentă.
<br />
<br />
Acesta poate fi folosit pentru organizarea structurii modelului dvs.
Acesta poate fi folosit pentru organizarea structurii modelului dvs.
</div>


The Std Group tool is not defined by a particular workbench, but by the base system, thus it is found in the {{MenuCommand|structure toolbar}} that is available in all [[Workbenches|workbenches]].
==Utilizare==


To group 3D objects as a single unit, with the intention of creating assemblies, use [[Std_Part|Std Part]] instead.


<div class="mw-translate-fuzzy">
Right-click on the name of your FreeCAD-document in the tree-view and choose "create group".
[[Image:group_with_objects.png|300px]]
</div>

{{Caption|Various elements inside Std Groups in the tree view.}}

<div class="mw-translate-fuzzy">
==Utilizare==
</div>

<div class="mw-translate-fuzzy">
Faceți clic dreapta pe numele documentului dvs. FreeCAD în vizualizarea arborescentă și alegeți "creare grup".
<br />
<br />
Un grup va fi creat automat și va da pictograma unui director și a unui nume ales automat.
A group will be created automatically and give the icon of a directory and an automatically chosen name.
<br />
<br />
Puteți redenumi grupul făcând clic dreapta pe grup și selectând "redenumiți" sau folosind "F2" de pe tastatură.
You can rename the group by right-clicking on the group and choosing "rename" or using "F2" on your keyboard.
<br />
<br />
Împingeți obiectele FreeCAD în grup sau scoateți-le din grup făcând clic pe obiectul dorit,
Push FreeCAD-objects into the group or pull them out of the group by clicking on the desired object,
<br />
<br />
mențineți apăsat butonul stânga al mouse-ului și folosiți stilul drag & drop pentru a trage obiectul în noua locație dorită.
keep left-mouse button pressed and using drag&drop-style to drag the object to desired new location.
<br />
<br />
As long as there is a "circle with a diagonal line"-sign below the cursor you can't drop your object here.
Atâta timp cât există un semn "cerc cu linie diagonală" - sub cursor, nu puteți lăsa obiectul aici.
<br />
<br />
De îndată ce semnul se schimbă într-un simbol "plus", este posibil să vă abandonați obiectul aici.
As soon as the sign changes to a "plus"-symbol it is possible to drop your object here.
<br />
<br />
</div>


==Proprietăți==
# Right click on active document or on existing group in the [[Document structure|Tree View]] and select {{KEY|Create Group...}}
# Drag-n-drop objects into the group


The [[Std_Group|Std Group]], internally called [[App_DocumentObjectGroup|App DocumentObjectGroup]] ({{incode|App::DocumentObjectGroup}} class), is derived from the basic [[App_DocumentObject|App DocumentObject]] ({{incode|App::DocumentObject}} class) and inherits all its properties.


The Std Group has the same properties as the [[App_FeaturePython#Properties|App FeaturePython]], which is the most basic instance of an [[App_DocumentObject|App DocumentObject]]. It also has the following additional properties in the [[Property_editor|property editor]]. Hidden properties can be shown by using the {{MenuCommand|Show all}} command in the context menu of the [[Property_editor|property editor]].
[[Image:group_with_objects.png|300px]]


== Opţiuni ==
=== Data ===


{{TitleProperty|Base}}
* To rename the group select a group and press {{KEY|F2}}, or right click a group and select {{KEY|Rename}}


<div class="mw-translate-fuzzy">
==Proprietăți==
* {{PropertyData|Label}}: Numele grupului

</div>
* {{PropertyData|Label}}: Name of the group


==Script==
==Script==


<div class="mw-translate-fuzzy">
Following command adds new group to the active document:
Următaorea comandaă adugă un nou grup în documentul activ:
</div>

See [[Part_Feature|Part Feature]] for the general information on adding objects to the document.

A Std Group ([[App_DocumentObjectGroup|App DocumentObjectGroup]]) is created with the {{incode|addObject()}} method of the document. Once a Group exists, other objects can be added to it with the {{incode|addObject()}} or {{incode|addObjects()}} methods.


{{Code|code=
{{Code|code=
import FreeCAD as App
App.ActiveDocument.addObject("App::DocumentObjectGroup","Group")

doc = App.newDocument()
group = App.ActiveDocument.addObject("App::DocumentObjectGroup", "Group")

obj1 = App.ActiveDocument.addObject("PartDesign::Body", "Body")
obj2 = App.ActiveDocument.addObject("Part::Box", "Box")

group.addObjects([obj1, obj2])
App.ActiveDocument.recompute()
}}
}}
==Limite==


This basic {{incode|App::DocumentObjectGroup}} doesn't have a Proxy object so it can't be fully used for sub-classing.
Command needs an open FreeCAD-document to work.

For [[Python|Python]] subclassing you should create a {{incode|App::DocumentObjectGroupPython}} object.

{{Code|code=
import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("App::DocumentObjectGroupPython", "Name")
obj.Label = "Custom label"
}}

For example, a [[FEM Analysis|FEM Analysis]] is an {{incode|App::DocumentObjectGroupPython}} object with a custom icon and additional properties.


==Legături==
==Legături==


<div class="mw-translate-fuzzy">
* [[Arch tutorial#Organizing your model|Use case in Arch Tutorial]]
* [[Arch tutorial#Organizing your model|Use case in Arch Tutorial]]
* [[Document_structure|Document structure]]
* [[Document_structure|Document structure]]
* [http://www.freecadweb.org/wiki/index.php?title=Arch_tutorial#Organizing_your_model Organizing your model]
* [http://www.freecadweb.org/wiki/index.php?title=Arch_tutorial#Organizing_your_model Organizing your model]
</div>
* [[Ways_To_Organize_Objects|Organize objects in the document]]


{{Docnav
|[[Std_Part|Part]]
|[[Std_LinkMake|LinkMake]]
|[[Std_Base|Std Base]]
|IconL=Std_Part.svg
|IconR=Std_LinkMake.svg
|IconC=Freecad.svg
}}


{{Std_Base_navi{{#translation:}}}}
==Notes==
{{Userdocnavi{{#translation:}}}}

Latest revision as of 08:07, 22 February 2022

Std Group

Menu location
Tree View → Right click on the document name
Workbenches
All
Default shortcut
None
Introduced in version
-
See also
Draft SelectGroup, Draft AddToGroup

Descriere

Această comandă vă permite să creați un grup în vizualizarea arborescentă.
Acesta poate fi folosit pentru organizarea structurii modelului dvs.

The Std Group tool is not defined by a particular workbench, but by the base system, thus it is found in the structure toolbar that is available in all workbenches.

To group 3D objects as a single unit, with the intention of creating assemblies, use Std Part instead.

Various elements inside Std Groups in the tree view.

Utilizare

Faceți clic dreapta pe numele documentului dvs. FreeCAD în vizualizarea arborescentă și alegeți "creare grup".
Un grup va fi creat automat și va da pictograma unui director și a unui nume ales automat.
Puteți redenumi grupul făcând clic dreapta pe grup și selectând "redenumiți" sau folosind "F2" de pe tastatură.
Împingeți obiectele FreeCAD în grup sau scoateți-le din grup făcând clic pe obiectul dorit,
mențineți apăsat butonul stânga al mouse-ului și folosiți stilul drag & drop pentru a trage obiectul în noua locație dorită.
Atâta timp cât există un semn "cerc cu linie diagonală" - sub cursor, nu vă puteți lăsa obiectul aici.
De îndată ce semnul se schimbă într-un simbol "plus", este posibil să vă abandonați obiectul aici.

Proprietăți

The Std Group, internally called App DocumentObjectGroup (App::DocumentObjectGroup class), is derived from the basic App DocumentObject (App::DocumentObject class) and inherits all its properties.

The Std Group has the same properties as the App FeaturePython, which is the most basic instance of an App DocumentObject. It also has the following additional properties in the property editor. Hidden properties can be shown by using the Show all command in the context menu of the property editor.

Data

Base

  • DateLabel: Numele grupului

Script

Următaorea comandaă adugă un nou grup în documentul activ:

See Part Feature for the general information on adding objects to the document.

A Std Group (App DocumentObjectGroup) is created with the addObject() method of the document. Once a Group exists, other objects can be added to it with the addObject() or addObjects() methods.

import FreeCAD as App

doc = App.newDocument()
group = App.ActiveDocument.addObject("App::DocumentObjectGroup", "Group")

obj1 = App.ActiveDocument.addObject("PartDesign::Body", "Body")
obj2 = App.ActiveDocument.addObject("Part::Box", "Box")

group.addObjects([obj1, obj2])
App.ActiveDocument.recompute()

This basic App::DocumentObjectGroup doesn't have a Proxy object so it can't be fully used for sub-classing.

For Python subclassing you should create a App::DocumentObjectGroupPython object.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("App::DocumentObjectGroupPython", "Name")
obj.Label = "Custom label"

For example, a FEM Analysis is an App::DocumentObjectGroupPython object with a custom icon and additional properties.

Legături